-- -----------------------------------------------------------------------------
--
--    Licensed Materials - Property of IBM
--    5698-B34  Copyright IBM Corp. 2011
--    All rights reserved.
--
--    US Government Users Restricted Rights - Use, duplication or
--    disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
--    RESTRICTED RIGHTS:
--
--    This file may have been supplied under a license.
--    It may be used, disclosed, and/or copied only as permitted
--    under such license agreement.  Any copy must contain the
--    above copyright notice and this restricted rights notice.
--    Use, copying, and/or disclosure of the file is strictly
--    prohibited unless otherwise provided in the license agreement.
--
--    File: OA35651/zos_files/zOSEventSupport_rmf.sql, OMNIbus, EventPump422
--    SID: 1.2
--    Date Modified: 11/04/11 07:18:34

--
--    Desription:
--       This sql file is used to modify the alert.status table entries to
--       support mapping of the RMF events.
--
--    Change History:
--    YY/MM/DD        Description
--    --------        ----------------------------------------------------------
--    11/03/29        $01,OA35651,VON,Initial SQL exec for OA35651 APAR
--
-- -----------------------------------------------------------------------------
-- Delete previous RMF entries
-- ----------------------------------------------------------------------------- 
delete from alerts.zos_severity_msgstate_lookup where EventID like '^.RMF_*';
go
-- -----------------------------------------------------------------------------
-- Severity for RMF events which are supported out-of-the box by
-- Tivoli Event Pump for z/OS
-- -----------------------------------------------------------------------------
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LCSFRAV', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LCSUIC', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HCSANRL', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HCSAUTL', 5, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LCSAAV', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HECSANRL', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HECSAUTL', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LECSAAV', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HENQDLY', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HESQANRL', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HESQAUTL', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LESQAAV', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HESFRAV', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HESMIGRA', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HHSMDJOB', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HHSMDLY', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HIOACTR', 2, 'Activity', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HIODIORR', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HIODJOB', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HIODLY', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HIODLYRQ', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LIOUSNG', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LIOWFLW', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HJESDLY', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HMVACTU', 2, 'Activity', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HMVDJOB', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HMVDLY', 5, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HMVUNK', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HMVUSER', 0, 'Activity', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LMVTXNR', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LMVUJOB', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LMVUSNG', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LMVWFLW', 5, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_MVEXCVL', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HOPRDJOB', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HOPRDLY', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HPRDJOB', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HPRDLY', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HPRLPAR', 2, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HPRSRB', 2, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HPRTCB', 2, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HPRTOTU', 2, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LPRUSNG', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LPRUSNGJ', 3, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LPRWFLW', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HSQANRL', 5, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HSQAUTL', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_LSQAAV', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HSTDLY', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HSTDLYJ', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HSSDJOB', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HSSDLY', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HXCFDJOB', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_HXCFDLY', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#ACTUSRS', 2, 'Activity', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#NUMUSRS', 0, 'Activity', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#PCTIDLE', 2, 'Activity', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#USJOBS', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#CSAPU', 5, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#CSAPA', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#CSAFD', 0, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#CSFAV', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#CSUIC', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#CSFI', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#CSFROL', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#CSPAF', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#IOACT', 2, 'Activity', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#DELJOBS', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#DELIO', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#IOUSJOBS', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#USPCT', 2, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#ECSAPU', 5, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#ECSAPA', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#ECSAPU', 0, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#ENQDELJ', 3, 'Delay', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#ESQAPU', 5, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#ESQAPA', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#ESQAFD', 0, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#PARTUTL', 2, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#TOTUTIL', 2, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#PROCUSR', 3, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#PROCONL', 0, 'Service', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#SQAPU', 5, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#SQAPA', 3, 'Usage', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_#SQAFD', 0, 'Usage', 1);
go
-- -----------------------------------------------------------------------------
-- Legacy RMF events mapping
-- ----------------------------------------------------------------------------- 
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_TRUE', 3, '', 0);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_FALSE', 0, '', 1);
insert into alerts.zos_severity_msgstate_lookup (EventID, Severity, MsgState, IsMessage) values('^RMF_ERROR', 5, '', 0);
go
